Name:           perl-Symbol-Get
Version:        0.12
Release:        %autorelease
Summary:        Read Perl’s symbol table programmatically

License:        MIT
URL:            https://metacpan.org/dist/Symbol-Get
Source0:        https://cpan.metacpan.org/authors/id/F/FE/FELIPE/Symbol-Get-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Call::Context)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.44

%{?perl_default_filter}


%description
Occasionally I have need to reference a variable programmatically. This
module facilitates that by providing an easy, syntactic-sugar-y,
read-only interface to the symbol table.

%prep
%autosetup -n Symbol-Get-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license LICENSE
%doc Changes
%doc README.md
%{perl_vendorlib}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog
%autochangelog
